CREATE TABLE USERLIST_2 (
	USER_ID NUMBER(9) PRIMARY KEY,
	EMAIL VARCHAR2(50) NOT NULL UNIQUE,
	PASSWORD VARCHAR2(50) NOT NULL,
	NAME VARCHAR2(50) NOT NULL,
	PRIVILEGE CHAR(3)
); 

CREATE TABLE ACCOUNTLIST (
	ACCOUNT_NO NUMBER(12) PRIMARY KEY,
	ACCOUNT_OWNER NUMBER(9) REFERENCES USERLIST_2,
	KIND VARCHAR2(25) NOT NULL,
	BALANCE NUMBER(13, 2) DEFAULT 0.00
);

ALTER TABLE ACCOUNTLIST
ADD APPROVED CHAR(1) DEFAULT 'N';

ALTER TABLE USERLIST_2 RENAME TO USERLIST;

INSERT INTO USERLIST VALUES(1, 'johnnyp123@gmail.com', 'jimBoNewTr0n', 'Johnny Petroskey', 'CUS');
INSERT INTO USERLIST VALUES(2, 'ellofrenz@live.com', 'ohayouG00dMorning', 'Ellen Ferdinand', 'CUS');
INSERT INTO USERLIST VALUES(3, 'beepkun@yahoo.COM', 'mediumC04r', 'Justin Cheesy', 'CUS');
INSERT INTO USERLIST VALUES(4, 'JOHNNYP@GMAIL.COM', 'jimBoNewTr0n', 'Johnny Petroskey', 'MAN');

INSERT INTO ACCOUNTLIST VALUES(8239, 1, 'CUS', 200.00, 'Y'); -- 'SAV' AFTER UPDATE

DELETE FROM USERLIST WHERE USER_ID = 4;

INSERT INTO USERLIST VALUES(4, 'womanofhour@bank.net', 'imsoCOOOOOOL', 'Nancy Drew', 'MAN');
INSERT INTO USERLIST VALUES(5, 'empl2@bank.net', 'subservientfox', 'Petunia Davidson', 'EMP');
INSERT INTO USERLIST VALUES(6, 'empl1@bank.net', 'kloiflish', 'Ashita Hashi', 'EMP');
 
ALTER TABLE ACCOUNTLIST 
RENAME COLUMN ACCOUNT_OWNER TO OWNER_ID;

UPDATE ACCOUNTLIST 
SET KIND = 'SAV'
WHERE ACCOUNT_NO = 8239;

INSERT INTO ACCOUNTLIST VALUES(3211, 1, 'CHK', 105.00, 'Y');

INSERT INTO ACCOUNTLIST VALUES(8001, 2, 'SAV', 0.00, 'N');
INSERT INTO ACCOUNTLIST VALUES(4848, 2, 'CHK', 1105.87, 'N'); -- 'Y' AFTER UPDATE

UPDATE ACCOUNTLIST 
SET APPROVED = 'Y'
WHERE ACCOUNT_NO = 4848;

INSERT INTO ACCOUNTLIST VALUES(2567, 3, 'CHK', 200.00, 'N');
INSERT INTO ACCOUNTLIST VALUES(8567, 3, 'SAV', 0.00, 'N');

-- CREATING ACCOUNT TRANSACTION TABLE
CREATE TABLE TRANSACTIONS (
	TRANSACTION_ID NUMBER(12,0) PRIMARY KEY,
	USER_ID NUMBER(9,0),
	SOURCE_NO NUMBER(12,0),
	TARGET_NO NUMBER(12,0), 
	AMOUNT NUMBER(5, 2)	
);

INSERT INTO TRANSACTIONS VALUES(1, 3, NULL, 2567, 200);
INSERT INTO TRANSACTIONS VALUES(2, 2, NULL, 4848, 700);
INSERT INTO TRANSACTIONS VALUES(3, 2, 4848, NULL, 94.13);
INSERT INTO TRANSACTIONS VALUES(4, 2, NULL, 4848, 500);
INSERT INTO TRANSACTIONS VALUES(5, 1, NULL, 8239, 150);
INSERT INTO TRANSACTIONS VALUES(6, 1, 3211, 8239, 50);

TRUNCATE TABLE TRANSACTIONS;

ALTER TABLE TRANSACTIONS 
ADD T_DATE DATE NOT NULL;

ALTER TABLE TRANSACTIONS
MODIFY (USER_ID NOT NULL);

SELECT SYSDATE FROM DUAL;
ALTER SESSION SET NLS_DATE_FORMAT = 'YYYY-MM-DD';
SELECT SYSDATE FROM DUAL;

INSERT INTO TRANSACTIONS VALUES(1, 3, NULL, 2567, 200, DATE '2020-01-17');
INSERT INTO TRANSACTIONS VALUES(2, 2, NULL, 4848, 700, DATE '2020-01-01');
INSERT INTO TRANSACTIONS VALUES(3, 2, 4848, NULL, 94.13, DATE '2020-01-05');
INSERT INTO TRANSACTIONS VALUES(4, 2, NULL, 4848, 500, DATE '2020-01-15');
INSERT INTO TRANSACTIONS VALUES(5, 1, NULL, 8239, 150, DATE '2020-01-16');
INSERT INTO TRANSACTIONS VALUES(6, 1, 3211, 8239, 50, DATE '2020-01-17');


